Subject: Re: bug#45200: Memory leaks: (garbage-collect) fails to reclaim memory

From: Konstantin Kharlamov <[email-masked]>
Date: Mon, 25 Jan 2021 00:55:36 +0300

On Sun, 2021-01-24 at 16:41 -0500, Stefan Monnier wrote:
> > Why unrealistic? To me the situation is pretty clear: I needed 200M, but I
> > don't
> > need them anymore, so I want them released. What's unrealistic about that?
> 
> What can I say: it's not realistic and I already gave you two technical
> reasons why that is.

What 2 reasons? The reason I had the paragraph below is that I was sure I
answered to everything you said, so I have no idea what you mean. 

> > If that was your point about that "maybe the 200M of memory will be
> > needed again", then as I said, yeah, maybe, maybe not — unless Glibc
> > has a prophet module built-in, it can't know, so it should not behave
> > as if it does.
> 
> Maybe so.  But to the extent that you consciously decided it's OK for
> Emacs to use 200MB at time-step A, then you basically lost the "moral
> authority" to say that it's not OK for Emacs to still uses up 200MB at
> time-step B.

Okay, so, my point you replied to was that I allocated 200M when I needed them, and I am releasing them because I no longer need them. You are opposing that with I "lost the moral authority to say that it's not OK for Emacs to still uses up 200MB".

"moral"…? Seriously? ☺ Was that some code of conduct I violated by allocating 200M, or what does mean "I lost moral authority"? Is that a technical reason you referred to? ☺